Bug 593746 - [abrt] crash in ruby-1.8.6.399-4.fc12: raise: Process /usr/bin/ruby was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in ruby-1.8.6.399-4.fc12: raise: Process /usr/bin/ruby was kille...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6ec8180737aa597cf36bf4606e5...
Keywords:
: 591467 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 15:40 UTC by hugotrip
Modified: 2010-12-03 14:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 14:33:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (67.49 KB, text/plain)
2010-05-19 15:40 UTC, hugotrip
no flags Details
It's the ~/.alexandria folder (28.46 KB, application/x-gzip)
2010-05-21 16:00 UTC, hugotrip
no flags Details
The Coredump (13.42 MB, application/octet-stream)
2010-05-25 06:57 UTC, hugotrip
no flags Details

Description hugotrip 2010-05-19 15:40:47 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: ruby /usr/bin/alexandria
comment: In Alexandria, I just switched from one library into another, but the second time I did it, it didn't crash, so I'm not sure how or if it's reproductible.
component: ruby
crash_function: raise
executable: /usr/bin/ruby
global_uuid: 6ec8180737aa597cf36bf4606e5aba3e0bbed725
kernel: 2.6.32.11-99.fc12.x86_64
package: ruby-1.8.6.399-4.fc12
rating: 4
reason: Process /usr/bin/ruby was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

Comment 1 hugotrip 2010-05-19 15:40:51 UTC
Created attachment 415164 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2010-05-19 15:58:22 UTC
I don't know if I can reproduce this bug soon, however
would you attach ~/.alexandria ?

Comment 3 Mamoru TASAKA 2010-05-19 15:59:52 UTC
*** Bug 591467 has been marked as a duplicate of this bug. ***

Comment 4 Mamoru TASAKA 2010-05-19 16:25:22 UTC
Also, is the gerenated core file available (perhaps under
/var/lib/abrt)?

Comment 5 hugotrip 2010-05-21 16:00:20 UTC
Created attachment 415721 [details]
It's the ~/.alexandria folder

I've removed the covers to shrink it from 7,6 Mio to 28 Kio. Let me now if you need them.

Comment 6 hugotrip 2010-05-21 16:02:32 UTC
(In reply to comment #4)

I haven't found the generated core file (there is no abrt folder in /var/lib), Do you know what should be it's name ?

Comment 7 Mamoru TASAKA 2010-05-21 16:09:09 UTC
Well, it seems that corefile (if generated) is under /var/cache/abrt/
and its name is coredump

Comment 8 Mamoru TASAKA 2010-05-22 16:57:43 UTC
Well, seems not reproducible to me.

If core file cannot be found, would you try the following?

- First stop abrtd daemon (by # service abrtd stop , as root)
- launch a terminal (like gnome-terminal or so)
- type $ ulimit -c unlimited
- type $ alexandria , and launch alexandria
- try if alexandria causes ruby crash. If ruby crashes, core file
  should be gerenated.

Comment 9 hugotrip 2010-05-25 06:57:26 UTC
Created attachment 416283 [details]
The Coredump

Here's the coredump I found in var/cache/abrt.
(Sorry for not answering faster, I was away this weekend)

Comment 10 Bug Zapper 2010-11-03 14:35:01 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2010-12-03 14:33:15 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.